<div class="job-list">

    <div class="job-box" *ngFor="let jobs of jobPostedList?.results">
        <div class="row">
            <div class="col-6">
                <p><strong>Job:</strong> {{jobs?.roleName}} 
                
                </p>
              
                <p *ngIf="jobs.locationName"><strong>Location:</strong>
                    <span> {{jobs?.locationName}}</span>
          
                </p>
                <p><strong>Industry name:</strong> {{jobs?.industryDetails?.industryName}} </p>
                <p><strong>Pay type:</strong> {{jobs?.payType}} </p>
              
                <p><strong>Job type:</strong> {{jobs?.jobType | titlecase}} </p>
                <p><strong>Start Date & Time:</strong> {{jobs?.jobStartDateTimeStampLocal | date: 'dd/MM/yyyy'}}({{jobs?.jobStartDateTimeStampLocal | date : 'HH:mm'}} - {{jobs?.jobEndDateTimeStampLocal | date : 'HH:mm'}}) </p>
                <!-- <p><strong>Onsite/Offsite </strong></p> -->
            </div>
            <div class="col-6 text-right">
                <!-- <span class="hrsts">Hiring Status 6/10 ??</span> -->
                <p class="text-right" style="font-size: 15px;margin-bottom: 20px;">
                  <a href="javascript:void(0)" class="text-right cross-btn" (click)='cancelJOB(jobs.jobId ,jobs._id.roleId)'><i class="far fa-times-circle"></i></a>
                </p>
                <p class="text-right">
                <a href="javascript:void(0);" (click)="openJobDetails(jobs.jobId ,jobs._id.roleId,'jobposted' )">Hiring Status {{jobs?.hireListSize}}/{{jobs?.noOfStuff}} </a>

                </p>

                <a (click)="openJobDetails(jobs.jobId ,jobs._id.roleId,'jobposted' )" href="javascript:void(0);" class="btn">Job
                    Details</a>

                <a (click)="openJobEdit(jobs.jobId ,jobs._id.roleId )" href="javascript:void(0);" class="btn ml-1" *ngIf='jobs.hireListSize != jobs.noOfStuff'>Edit
                    Job</a>

                <a (click)="findCandidates(jobs.jobId ,jobs._id.roleId)" href="javascript:void(0);" class="btn ml-1" *ngIf='jobs.hireListSize != jobs.noOfStuff'>Find Candidates</a>
  
            </div>
        </div>
    </div>
    <pagination  [totalItems]="totalItems" [itemsPerPage]="itemsPerPage"  [maxSize]="totalNoOfPages" [(ngModel)]="pageNo" [rotate]="false" previousText="&lsaquo;" nextText="&rsaquo;" firstText="&laquo;" lastText="&raquo;"  [boundaryLinks]="true" (pageChanged)="getPaginateData($event)" class="pagination-sm justify-content-center"[disabled]="dataFetching" *ngIf="totalItems"></pagination>

    <!-- <div class="job-box">
        <div class="row">
            <div class="col-6">
                <p><strong>Job:</strong> Painting</p>
                <p><strong>Location:</strong> USA</p>
                <p><strong>Pay type:</strong> Hourly</p>
                <p><strong>Onsite/Offsite</strong></p>
            </div>
            <div class="col-6 text-right">
                <span class="hrsts">Hired</span>
                <a href="#" class="btn">Job Detail</a>
            </div>
        </div>
    </div> -->
</div>

<!-- Job offer options modal -->

<ng-template #templateJobOffer> 
    <div class="modal-body">
      <form>
       
        <div class="row">
          <div class="col-12 offers mb-3">
              <input type="button" (click)="navigateToCandidatesList('option-1')"  value="Let seleckt choose workers" class="btn bn-sz">
            <!-- <a [disabled]="!templateNameForm.valid" href="javascript:void(0);" class="btn border"
            style="margin: 5px ">Save</a></div> -->
          </div>
          <div class="col-12 mb-3">
            <input type="button" (click)="navigateToCandidatesList('option-2')"  value="Offer To Favourites & Available Workers" class="btn bn-sz">
          <!-- <a [disabled]="!templateNameForm.valid" href="javascript:void(0);" class="btn border"
          style="margin: 5px ">Save</a></div> -->
        </div>
          <div class="col-12">
            <input type="button" (click)="navigateToCandidatesList('option-3')"  value="Browse and choose workers" class="btn bn-sz">
          <!-- <a [disabled]="!templateNameForm.valid" href="javascript:void(0);" class="btn border"
          style="margin: 5px ">Save</a></div> -->
        </div>
        </div>
      </form>
    </div>
  
  </ng-template>